Package de.willuhn.jameica.hbci.gui.action

# Class UmsatzMarkChecked

java.lang.Object
de.willuhn.jameica.hbci.gui.action.FlaggableChange
de.willuhn.jameica.hbci.gui.action.UmsatzMarkChecked

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

public class UmsatzMarkChecked extends FlaggableChange
Action, um einen Umsatz als geprueft zu markieren.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.gui.action.FlaggableChange

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzMarkChecked()`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`
Erwartet ein Objekt vom Typ `Flaggable` oder `Flaggable[]`.
`protected void`
`postProcess(Flaggable o)`
Optionales Postprocessing.

### Methods inherited from class de.willuhn.jameica.hbci.gui.action.FlaggableChange

`getAdd, getFlags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzMarkChecked

public UmsatzMarkChecked()
ct.

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Description copied from class: `FlaggableChange`
Erwartet ein Objekt vom Typ `Flaggable` oder `Flaggable[]`.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Overrides:
  `handleAction` in class `FlaggableChange`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`

### postProcess

protected void postProcess(Flaggable o) throws Exception
Description copied from class: `FlaggableChange`
Optionales Postprocessing. Kann von abgeleiteten Klassen ueberschrieben werden.

Overrides:
  `postProcess` in class `FlaggableChange`
Parameters:
  `o` - das Objekt.
Throws:
  `Exception`
See Also:
  - `FlaggableChange.postProcess(de.willuhn.jameica.hbci.rmi.Flaggable)`